=== docs/requirements.txt ===
sphinx==4.5.0
myst-parser==0.17.2
sphinx-rtd-theme==1.0.0
MarkupSafe==2.0.1
.
