=== debian/changelog ===
pocketsphinx (5.0.2-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release (Closes: Bug#1043582)
    - Rename libpocketsphinx3 to libpocketsphinx5 according to soname bump.
    - control: Drop libsphinxbase-dev build-dep, add graphviz, cmake, sox,
      libpulse-dev, portaudio19-dev build-deps.
    - Drop swig-pocketsphinx package.
    - copyright: Update.
    - libpocketsphinx-dev.install: libpocketsphinx.a is not getting built any
      more.
    - rules: Drop --without-python configure option, pass -DBUILD_GSTREAMER=ON
      -DBUILD_SHARED_LIBS=ON.
    - patches/no_python: Prevent detection of python build.
    - rules: Fix the test target: upstream uses "check", not "test".
  * watch: Update URL.
  * control: Replace pkg-config deps with pkgconf.
  * tests/tests: Always unpatch on exit.

  [ Gabor Karsay ]
  * Update Standards-Version 4.7.3, removing redundant Priority field
  * Bump debhelper-compat to 13
  * Remove redundant Rules-Require-Root field
  * watch:
    - Convert to version 5
    - Drop sf.net
    - Search stable versions only
  * patches:
    - 4 patches with fixes for manual pages
    - Change "check" target to add arguments for testing
    - Upstream patch dropping pygtkcompat (Closes: Bug#1118277)
  * rules: Exclude failing tests on i386
  * autopkgtest:
    - Fix tests-patches
    - Exclude failing tests on i386
  * Override package-contains-documentation-outside-usr-share-doc

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 14 Feb 2026 15:02:03 +0100

pocketsphinx (0.8+5prealpha+1-15) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libsphinxbase-dev.
  * watch: Use tags instead of releases.
  * patches/avoid-underflow: Avoid underflow in GMM computation
    (Closes: #812335)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Sep 2022 22:56:35 +0200

pocketsphinx (0.8+5prealpha+1-14) unstable; urgency=medium

  [ Helmut Grohne ]
  * Drop unused Build-Depends: swig-sphinxbase, gstreamer1.0-plugins-base,
    swig, libjs-jquery. (Closes: Bug#981418)

  [ Samuel Thibault ]
  * control: Set Rules-Requires-Root to no.
  * control: Bump Standards-Version to 4.6.0 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Jan 2022 20:17:48 +0100

pocketsphinx (0.8+5prealpha+1-13) unstable; urgency=medium

  * Bump debhelper from 10 to 12.
    - pocketsphinx.manpages: Install from installed path.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 02 Jan 2021 16:12:39 +0100

pocketsphinx (0.8+5prealpha+1-12) unstable; urgency=medium

  * patches/pkg-config: Fix detecting pkg-config in cross-compilation case
    (closes: #955155)
  * control: Update alioth list domain.
  * Move tests patches from patches to tests-patches.
  * control: Recommend pocketsphinx-en-us instead of the retired models
    (closes: #964068).
  * control: Bump Standards-Version to 4.5.0 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 02 Aug 2020 01:51:26 +0200

pocketsphinx (0.8+5prealpha+1-11) unstable; urgency=medium

  * debian/tests/tests: Drop python support in autopkgtest too.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Mar 2020 20:07:04 +0100

pocketsphinx (0.8+5prealpha+1-10) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop unnecessary dh arguments: --parallel
  * Update standards version to 4.4.1, no changes needed.

  [ Samuel Thibault ]
  * control: Remove python3-pocketsphinx package, now provided by
    pocketsphinx-python source package. Remove python3-all-dev and dh-python
    build-deps, now unused.
  * rules: Drop python support.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Mar 2020 19:55:55 +0100

pocketsphinx (0.8+5prealpha+1-9) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 13 Feb 2020 07:18:32 -0800

pocketsphinx (0.8+5prealpha+1-8) experimental; urgency=medium

  * control: New package swig-pocketsphinx to contain swig helpers.
  * control: New package pocketsphinx-testdata to contain test data.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Feb 2020 23:05:14 +0100

pocketsphinx (0.8+5prealpha+1-7) unstable; urgency=medium

  * control: Make libpocketsphinx-dev depend on libsphinxbase-dev
    (Closes: #941377).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Dec 2019 14:51:29 +0100
