=== docs/requirements.txt ===
sphinx
myst-parser
sphinx-rtd-theme
MarkupSafe
.
