=== doxygen/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 find_package(Doxygen)
 if(DOXYGEN_FOUND)
-  set(DOXYGEN_PROJECT_NUMBER 5.0.2)
+  set(DOXYGEN_PROJECT_NUMBER 5.0.4)
   set(DOXYGEN_EXAMPLE_PATH ${CMAKE_SOURCE_DIR}/examples)
   set(DOXYGEN_SORT_MEMBER_DOCS NO)
   set(DOXYGEN_USE_MATHJAX YES)
