=== model/CMakeLists.txt ===
install(DIRECTORY
  en-us
  DESTINATION ${CMAKE_INSTALL_DATADIR}/pocketsphinx/model)
