=== debian/rules ===
--- 
+++ 
@@ -13,16 +13,9 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_GSTREAMER=ON -DBUILD_SHARED_LIBS=ON
 
-ifeq (big,$(shell dpkg-architecture -qDEB_BUILD_ARCH_ENDIAN))
-override_dh_auto_test:
-	echo "Big-endian archs do not work yet and create hundreds of gigabytes of log, don't even try for now."
-	false
-else
 override_dh_auto_test:
 	cd obj-$(DEB_HOST_GNU_TYPE) && $(MAKE) check
 	dh_auto_test --buildsystem=cmake -- ARGS\+=$(TEST_ARGS)
-
-endif
 
 override_dh_auto_install:
 	dh_auto_install
