=== debian/watch ===
Version: 5

Template: GitHub
Owner: cmusphinx
Project: pocketsphinx
Version-Type: STABLE_VERSION
